\name{abbrvboxplot}
\alias{abbrvboxplot}
\alias{plot.abbrvboxplot}
\alias{compute.abbrvboxplot}
\title{Abbreviated Box Plot}
\description{Create an abrreviated box plot from a data set which is
  structurally similar to the traditional box plot, however the sides of
  the box have been reduced to facilitate the combination with other
  summarization type plots.}
\usage{
abbrvboxplot(data, newpage=TRUE, width=NULL, linewidth=1.0, color=rgb(0.15, 0.15, 0.15), show=TRUE, dims=NULL,...)
compute.abbrvboxplot(x, width=NULL)
\method{plot}{abbrvboxplot}(x, compute=TRUE,...)
}
\arguments{
  \item{data}{A 1D data set.}
  \item{newpage}{Option to create a new plot, or add to an already existing plot if newpage=FALSE.}
  \item{width}{The width of the plot, used to adjust the look of the plot.}
  \item{linewidth}{The thickness of the line to display the plot.}
  \item{color}{The color of the line to display the plot.}
  \item{show}{If set to false, the summary plots will be computed but not plotted.}
  \item{dims}{The dimension of the plot.}
  \item{compute}{Flag to recompute theg plot geometry.}
  \item{x}{The abbrvboxplot object.}
  \item{...}{additional args have no effect}  
}
\value{ An object of class \code{abbrevboxplo} is used to create an abbreviated box plot to visually summarize a data set. The object \code{abbrevboxplot} consists of the following components:
  \item{data}{DO O need thigs?}
  \item{dims}{The spatial dimensions of the plot}
  \item{newpage}{Option to display on a new plot (newplot=TRUE), or within
    an existing plot (newpage=FALSE)}
  \item{look}{The look of the abbreviated box plot including the line
    color, width, and end-point style.}
}
\author{Kristin Potter}
\seealso{ \code{\link{summaryplot}}, \code{\link{symdenplot}},
  \code{\link{momentplot}}, \code{\link{distribplot}} }
\references{
  Visualizing Summary Statistics and Uncertainty.
  Kristin Potter, Joe Kniss, Richard Riesenfeld, and Chris R. Johnson.
  In Computer Graphics Forum (Proceedings of Eurovis 2010), Vol. 29,
  No. 3, pp. 823-831, 2010.
}
\examples{
library(sumplots)
r=rnorm(500)
e=rexp(500)
abbrvboxplot(r)
}
\keyword{five numbtemer summary, boxplot}
