\name{distribplot}
\alias{distribplot}
\alias{plot.distribplot}
\alias{compute.distribplot}
\title{Distribution Fitting Plot}
\description{Create a distribution fitting plot from a data set shows a
  chosen distribution against the current data.}
\usage{
distribplot(data, densfun = "normal", start=NULL, breaks="Sturges", newpage=TRUE, width=NULL, show=TRUE, dims=NULL,...)
compute.distribplot(x, width=NULL,...)
\method{plot}{distribplot}(x, compute=FALSE,...)
}
\arguments{
  \item{data}{A 1D data set.}
  \item{newpage}{Option to create a new plot, or add to an already
    existing plot if newpage=FALSE.}
  \item{width}{The width of the plot, used to adjust the look of the
    plot.}
  \item{densfun}{The distribution to fit against.  Named distributions
    include: "beta", "cauchy", "chi-squared", "exponential", "f",
    "gamma", "geometric", "log-normal", "lognormal", "logistic",
    "negative binomial", "normal", "Poisson", "t" and "weibull".}
  \item{start}{A named list giving the parameters to be optimized with initial values.}
    \item{breaks}{The histogram breaks.}
  \item{show}{If set to false, the summary plots will be computed but not
    plotted.}
  \item{dims}{The dimension of the plot.}
  \item{compute}{Flag to recompute theg plot geometry.}
  \item{x}{The distribplot object.}
  \item{...}{additional args have no effect}
}
\value{ An object of class \code{distribplot} is used to create a
  distribution plot which shows a chosen distribution plotted against
  the current data. The object
  \code{distribplot} consists of the following components:
  \item{data}{DO O need thigs?}
  \item{dims}{The spatial dimensions of the plot}
  \item{newpage}{Option to display on a new plot (newplot=TRUE), or within
    an existing plot (newpage=FALSE)}
}
\author{Kristin Potter}
\seealso{
  \code{\link{fitdistr}}
  \code{\link{summaryplot}},
  \code{\link{abbrvboxplot}},
  \code{\link{symdenplot}},
  \code{\link{momentplot}}
}
\references{
Visualizing Summary Statistics and Uncertainty.
Kristin Potter, Joe Kniss, Richard Riesenfeld, and Chris R. Johnson.
In Computer Graphics Forum (Proceedings of Eurovis 2010), Vol. 29,
No. 3, pp. 823-831, 2010.
}
\examples{
library(sumplots)
r=rnorm(500)
e = rexp(500)
distribplot(r)
}
\keyword{distribution fitting}
