\name{momentplot}
\alias{momentplot}
\alias{compute.momentplot}
\alias{plot.momentplot}
\title{Moment Plot}
\description{Create a moment plot from a data set which computes the
  first 5 moments of a data set and displays the moments as a collection
of glyphs.}
\usage{
momentplot(data, newpage=TRUE, width=NULL, show=TRUE, dims=NULL,...)
compute.momentplot(x, width=NULL)
\method{plot}{momentplot}(x, compute=TRUE, ...)
}
\arguments{
  \item{data}{A 1D data set.}
  \item{newpage}{Option to create a new plot, or add to an already
    existing plot if newpage=FALSE.}
  \item{width}{The width of the plot, used to adjust the look of the
    plot.}
  \item{show}{If set to false, the summary plots will be computed but not
    plotted.}
  \item{dims}{The dimension of the plot.}
  \item{compute}{Flag to recompute theg plot geometry.}
  \item{x}{The momentplot object.}
  \item{...}{additional args have no effect}
}
\value{ An object of class \code{momentplot} is used to create a
moment plot to display the first five moments of a data set. The object
\code{momentplot} consists of the following components:
\item{data}{DO O need thigs?}
\item{dims}{The spatial dimensions of the plot}
\item{newpage}{Option to display on a new plot (newplot=TRUE), or within
an existing plot (newpage=FALSE)}
}
\author{Kristin Potter}
\seealso{
\code{\link{summaryplot}},
\code{\link{abbrvboxplot}},
\code{\link{symdenplot}},
\code{\link{distribplot}}
}
\references{
Visualizing Summary Statistics and Uncertainty.
Kristin Potter, Joe Kniss, Richard Riesenfeld, and Chris R. Johnson.
In Computer Graphics Forum (Proceedings of Eurovis 2010), Vol. 29,
No. 3, pp. 823-831, 2010.
}
\examples{
library(sumplots)
r=rnorm(500)
e = rexp(500)
momentplot(r)
}
\keyword{central moments}
